#pragma once

#include <QPushButton>

#include <vector>

namespace Ui {
	class RuneAspektButton;
}

class RuneAspektButton : public QPushButton {
	Q_OBJECT

public:
	explicit RuneAspektButton(QWidget* parent = nullptr);
	~RuneAspektButton();

	void setAspektsVector(std::vector<uint32_t>& aspekts);
	void setAspketSlot(int slot);
	void setAspektId(uint32_t id);

	bool isSelected() const;

signals:
	void aspektToggled(bool newState);

public slots:
	void buttonPressed();
	void dataChanged();

private slots:
	void setShowSelection(bool selected); // show/hide the red border

public:
	uint32_t aspektId = 0;
	int aspektSlot = -1;

private:
	Ui::RuneAspektButton* ui;

	std::vector<uint32_t>* aspekts = nullptr;
};

